org.apache.hadoop.yarn.api.protocolrecords

## Class GetClusterNodeAttributesResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class GetClusterNodeAttributesResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting a node attributes in cluster.

  See Also:
    `(GetClusterNodeAttributesRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetClusterNodeAttributesResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Set<NodeAttributeInfo>` | `getNodeAttributes()` Get node attributes from the response.
    `static GetClusterNodeAttributesResponse` | `newInstance(Set<NodeAttributeInfo> attributes)` Create instance of GetClusterNodeAttributesResponse.
    `abstract void` | `setNodeAttributes(Set<NodeAttributeInfo> attributes)` Set node attributes to the response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetClusterNodeAttributesResponse

          public GetClusterNodeAttributesResponse()

  - ### Method Detail

    - #### newInstance

          public static GetClusterNodeAttributesResponse newInstance(Set<NodeAttributeInfo> attributes)

      Create instance of GetClusterNodeAttributesResponse.
      Parameters:
        `attributes` -
      Returns:
        GetClusterNodeAttributesResponse.

    - #### setNodeAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNodeAttributes(Set<NodeAttributeInfo> attributes)

      Set node attributes to the response.
      Parameters:
        `attributes` - Map of Node attributeKey to Type.

    - #### getNodeAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract Set<NodeAttributeInfo> getNodeAttributes()

      Get node attributes from the response.
      Returns:
        Node attributes.

Copyright © 2022 Apache Software Foundation. All rights reserved.